> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the caller's notebooks

> List .ipynb files under ``home/{preferred_username}/`` in the notebooks bucket.



## OpenAPI

````yaml get /api/notebooks
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/notebooks:
    get:
      tags:
        - Notebooks
      summary: List the caller's notebooks
      description: >-
        List .ipynb files under ``home/{preferred_username}/`` in the notebooks
        bucket.
      operationId: list_notebooks_api_notebooks_get
      responses:
        '200':
          description: Notebooks listed successfully
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/NotebookSummary'
                type: array
                title: Response List Notebooks Api Notebooks Get
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    NotebookSummary:
      properties:
        s3_key:
          type: string
          title: S3 Key
          description: >-
            Object key under the notebooks bucket, e.g.
            'home/kcowan/churn.ipynb'.
        owner:
          type: string
          title: Owner
          description: Owner username extracted from the S3 path prefix.
        size_bytes:
          type: integer
          title: Size Bytes
          description: Size of the notebook in bytes.
        last_modified:
          type: string
          format: date-time
          title: Last Modified
          description: S3 LastModified timestamp.
      type: object
      required:
        - s3_key
        - owner
        - size_bytes
        - last_modified
      title: NotebookSummary
      description: Lightweight view of a notebook on S3 for list endpoints.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````